Sie sind auf Seite 1von 16

DESIGN OF COTTER JOINT

1.INTRODUCTION
Socket and spigot cotter joint is used to connect
circular rods. One of the rods is formed into a socket by enlarging its end while the
other rod, called spigot end is formed with enlarged diameter and an integral collar.
The spigot is put inside the socket and the cotter is driven through the slots in
socket and spigot ends. A pictorial view of socket and spigot cotter joint . While a
sectional view of socket and spigot cotter joint
2.AIM
To find out the cotter joint dimensions and check its safe.
For load P=5x103 N of load. Design cotter joint and calculate all the
dimensions
3.SELECTION OF MATERIALS
The material is selected for the given load criteria. So the
material to be selected as plain carbon steel of grade 30c8
The maximum load s =400 N/mm2
4.CALCULATION OF PERMISSIBLE STRESSES
Assume factor of safety of spigot and socket is 6
For cotter is 4
4.1 For spigot and cotter
Allowable stress in tension

t=St/6
1

=400/6=66.67N/mm2
Allowable stress in compression

c=2x400/6
=133.33 N/mm2

Allowable shear stress

=0.5x400/6
=33.33 N/mm2

4.2 For cotter


Allowable stress in tension

t=St/6
=400/4=100 N/mm2

Allowable shear stress

=0.5x400/6
=50 N/mm2

5.CALCULATION OF DIMENSIONS
5.1 Diameter Of Rods
4
t

450101010
x66.67

d=30.9=31

5.2 Thickness Of Cotter

t=0.31d
=0.31x31=9.6=10

5.3 Daimeter Of Spigot

= ( d22 - d2t) t
4

= ( d22 - d2x10)x66.67
4

d22-12.73d=954.88
d2=37.9=40

5.4 Outer Diameter Of Socket

= ((d12- d22)-(d1-d2)t) x t
4

= (d12- 402)-(d1-40)10)x66.67
4

d12-12.73d1-2045.59=0

d1=52.04
d1=52

5.5 Diameter Of Spigot Collar d3 And Socket Collar d4


d3=1.5d
=1.5x31
=46.5=48
d4=2.4d
=2.4x31
=7.4=80

5.6 Dimensions a And c


a=c=0.75d
=0.75x31
=23.25
a=c=24
5.7 Width Of Cotter
b=

2
50101010

b=

25010

b=50mm

5.8 Thickness Of Spigot Collar


t1=0.45d
=15mm

6.SAFE CHECK FOR SPIGOT END


Stress in compression c=
c=

50101010
1040

=125 N/mm2<133.33 N/mm2


Shear stress =
=

2 2

50101010
22440

=26.04 N/mm2< 33.33 N/mm2


Deign is safe
7. SAFE CHECK FOR SOCKET END
Stress in compression c=
c=

(42)

50101010

(8040)10

=125 N/mm2<133.33 N/mm2

Shear stress =

2 42

50101010
2 8040 24

=26.04 N/mm2<33.33 N/mm2


Deign is safe.

8.AUTOLISP PROGRAM
(defun c:one ()
;P (getreal "enter the maximum load in N:")
;t c (getreal "enter the allowable stresses for spigot and socket in
N/mm^2 :")
;t c (getreal "enter the allowable stresses for cotter in N/mm^2 :")
;d (getreal "enter the diameter of rods in mm:")
;t (getreal "enter the thickness of cotter in mm:")
;d2 (getreal "enter the diameter of spigot in mm:")
;d1 (getreal "enter the outer diameter of socket in mm:")
;d3 d4 (getreal "enter the diameter of spigot collar and socket collar in
mm:")
;a c (getreal "enter the dimensions mm:")
6

;b (getreal "enter the width in mm:")


;
(get command
;t (St/fos)
;c (*2st/fos)
; (*0.5st/fos)
;d sqrt (4p/t )
;t (0.31d)
;d2 (*//4 d22 -d2t t)
;d1 (*/- /4 d12- d22 d1-d2 tt)
;d3 (* 1.5d)
;d4 (*2.4d)
;a c (* .75d)
;b (/ p 2Tt)
;t1 (* .45d)
(setq pt1 (polar pt1 (*.75d len))
(setq pt2 (polar pt1 0 (/p * 2t len))
pt3 (polar pt2 (* 2.4d len))
pt4 (polar pt3 (* .75d len))
7

;---------------------------------------------------------------------------------------pt5 (polar pt4 (90 .75d))


pt6 (polar pt5 (* 0.45d len))
pt7 (polar pt6 0 (/ len 4))
pt8 (polar pt7 (* 0.45d len))
;----------------------------------------------------------------------------------------pt9 (polar pt8 0 (90 .75d len))
pt10 (polar pt9 (* 2.4d * 2.5 len))
pt11 (polar pt10 (* 0.45d len))
pt12 (polar pt11 (* .75d /p* 2Tt len))
;----------------------------------------------------------------------------------------pt13 (polar / pt1 pt2 (/4p * t len))
pt14 (polar pt13 0 ( 90 +d len))
pt15 (polar pt3 pt4 (/ b len)) (* 1 len))
pt16 (polar pt15 0 (+ 25 len))
;----------------------------------------------------------------------------------------pt17 (polar pt16 90 (+ 100 len))
pt18 (polar pt17 (*1.25 b len))
)
8

;(command "pline" pt1 pt2 pt3 pt4 pt5 "")


;(command "pline" "pt6 90^" "" "pt7" "" "")
;(command "copy" "pt8 pt9" "" "pt3 pt4" "" "")
;(command "pline" pt10 pt11 pt12 "c")
;(command "pline" pt13 pt14 = pt1 pt2 "")
;(command "pline" pt15 pt16 pt17 pt18 "")
;(command "pline" pt15 pt16 = pt17 pt18 "")
;(command "line" pt18 "")
;(command "array" "last" "" "r" "1" "90^" "")
)
(defun
)

9. 2D AUTOCAD DRAWING

Fig 9.1 2d Drawing

10

10.COMMAND HISTORY FOR AUTOCAD

0.0000)
Specify next point or [Close/Undo]:
Specify next point or [Close/Undo]: *Cancel*
Command:
Command: _.erase 1 found
Command: _line Specify first point:
Specify next point or [Undo]:
Command:
Command: _line Specify first point:
Specify next point or [Undo]: 24
Command: _line Specify first point:
Specify next point or [Undo]: 15
Specify next point or [Undo]: 48
Specify next point or [Close/Undo]:
Specify next point or [Close/Undo]: *Cancel*
Command: _.erase 1 found
Command: _line Specify first point:
11

Specify next point or [Undo]:


Specify next point or [Undo]: *Cancel*
Command: <Ortho off>
Command: _line Specify first point:
Specify next point or [Undo]:
Command: _line Specify first point:
Specify next point or [Undo]: 45
Specify next point or [Undo]: *Cancel*
Automatic save to C:\Users\sen\AppData\Local\Temp\Drawing1_1_1_0041.sv$ ...
Command: _line Specify first point:
Specify next point or [Undo]:
Command: _.erase 1 found
Command: _line Specify first point:
Specify next point or [Close/Undo]: *Cancel*
Command: _qsave
Command: _line Specify first point:
Specify next point or [Undo]: 8
Specify next point or [Close/Undo]: *Cancel*
Command: _line Specify first point:
12

Specify next point or [Undo]: 10


Specify next point or [Undo]: 25
Command: _line Specify first point:
Specify next point or [Undo]: 8
Specify next point or [Undo]: 10
Specify next point or [Close/Undo]: *Cancel*
Command: '_zoom
Specify corner of window, enter a scale factor (nX or nXP), or
[All/Center/Dynamic/Extents/Previous/Scale/Window/Object] <real time>:
Press ESC or ENTER to exit, or right-click to display shortcut menu.
Command: _line Specify first point:
Specify next point or [Undo]: 10
Specify next point or [Undo]: 75
Specify next point or [Close/Undo]: *Cancel*
Command: _line Specify first point:
Specify next point or [Undo]:
Specify next point or [Undo]: *Cancel*
Command: _.erase 1 found
Command: _line Specify first point:
13

Specify next point or [Undo]: <Ortho on>


Specify next point or [Undo]:
Specify next point or [Close/Undo]: *Cancel*
Command: _line Specify first point:
Specify next point or [Undo]:
Specify next point or [Undo]: 31
Specify next point or [Close/Undo]:
Specify next point or [Close/Undo]: *Cancel*
Command: _trim
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: 1 found
Select objects: *Cancel*
Command: _.erase 1 found
Command: Specify opposite corner:
Command: _line Specify first point:
Specify next point or [Undo]:
Command: _trim
Current settings: Projection=UCS, Edge=None
14

Select cutting edges ... 1 found


Select object to trim or shift-select to extend or
[Fence/Crossing/Project/Edge/eRase/Undo]: *Cancel*
Command: _trim
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: 1 found
Select objects: 1 found, 2 total
Command: Specify opposite corner:
Command:
TRIM
Current settings: Projection=UCS, Edge=None
Select cutting edges ...
Select objects or <select all>: *Cancel*
Command: _qsave
Command: '_zoom
Command: *Cancel*
Command: _.erase 1 found
Command: _.erase 1 found
15

Command: _.erase 1 found


Command: _line Specify first point:
Specify next point or [Undo]:
Specify next point or [Undo]: *Cancel*
Command: _qsave

11. CONCLUSION

Thus the spigot cotter joint is designed and its calculations of dimensions are
obtained and the autolisp program is written to its design.

16